Bug 462587 - RFE: update perl(Test::Simple)
RFE: update perl(Test::Simple)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On: 462444
Blocks: 459536
  Show dependency treegraph
 
Reported: 2008-09-17 08:01 EDT by Ralf Corsepius
Modified: 2008-10-03 18:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-09-17 08:01:30 EDT
Marcela wants it the formal way, so re-fileing for FC9.

+++ This bug was initially created as a clone of Bug #462444 +++

Description of problem:

Fedora's perl ships an old version of the Test::Simple perl.
The current upstream version of Test::Simple is 0.80.

Additional info:
Test::Builder (part of Test::Simple) >= 0.77 is a requirement of rt-3.8.x's testsuite.
Comment 1 Marcela Mašláňová 2008-09-17 10:22:15 EDT
I didn't say formal. I said I'll do it 'cause I'm already working on it.
Comment 2 Fedora Update System 2008-09-17 11:00:26 EDT
perl-5.10.0-34.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-5.10.0-34.fc9
Comment 3 Ralf Corsepius 2008-09-17 11:17:48 EDT
(In reply to comment #1)
> I didn't say formal. I said I'll do it 'cause I'm already working on it.
And I have drawn my conclusions.

I am not interested in working for trash-bin, so I'll from now on will be much more reluctant at fixing bugs in packages you own, but will file BZs and leave fixing them to you. Not my fault.
Comment 4 Marcela Mašláňová 2008-09-17 11:53:50 EDT
Ok, there was probably language barrier. I thought I'm supposed to fix my mistakes asap. I don't mind if you change anything in packages.
Comment 5 Fedora Update System 2008-09-24 20:13:54 EDT
perl-5.10.0-34.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8261
Comment 6 Ralf Corsepius 2008-09-30 22:49:51 EDT
Ping? This is the last remaining blocker for rt3.
Comment 7 Fedora Update System 2008-10-03 18:29:04 EDT
perl-5.10.0-34.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.